<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [renameMember](./bitburner.gang.renamemember.md)

## Gang.renameMember() method

Rename a Gang member to a new unique name.

**Signature:**

```typescript
renameMember(memberName: string, newName: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

memberName


</td><td>

string


</td><td>

Name of the member to change.


</td></tr>
<tr><td>

newName


</td><td>

string


</td><td>

New name for that gang member.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if successful, and false if not.

## Remarks

RAM cost: 0 GB

Rename a Gang Member if none already has the new name.

